Client Configurations
Manage Client Configurations
Retrieves a list of clients for a specified tenant.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
OK
GET /configuration/{tenant}/clients HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
"saas-ag.caas-indexing-service-client"
]Retrieves a list of configurations for a specified client.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
Desired client's unique identifier.
OK
Configuration key.
Configuration value. It can be any valid JSON object.
Configuration version.
Describes purpose of the configuration.
Flag indicating whether the configuration should be encrypted. It works only if value field is of string type.
falseFlag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to true then it cannot be unset.
falseFlag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.
falseURL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named value in order to work correctly. An example of a valid schema: { "$schema": "http://json-schema.org/draft-07/schema#", "type": "object", "required": ["value"], "properties": { "value": { "type": "boolean" } } }
The client configuration unique identifier.
The client to which the configuration applies.
GET /configuration/{tenant}/clients/{client}/configurations HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
OK
[
{
"_id": "saas-ag.caas-indexing-service-client_algolia_activation",
"client": "saas-ag.caas-indexing-service-client",
"key": "algolia_activation",
"value": true
},
{
"_id": "saas-ag.caas-indexing-service-client_indexing_configuration",
"client": "saas-ag.caas-indexing-service-client",
"key": "indexing_configuration",
"value": {
"activePublishedProductIndexing": true,
"activeNonPublishedProductIndexing": true
}
}
]Creates a new client configuration.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
Desired client's unique identifier.
Configuration key.
Configuration value. It can be any valid JSON object.
Configuration version.
Describes purpose of the configuration.
Flag indicating whether the configuration should be encrypted. It works only if value field is of string type.
falseFlag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to true then it cannot be unset.
falseFlag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.
falseURL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named value in order to work correctly. An example of a valid schema: { "$schema": "http://json-schema.org/draft-07/schema#", "type": "object", "required": ["value"], "properties": { "value": { "type": "boolean" } } }
The client configuration unique identifier.
The client to which the configuration applies.
Created
Configuration key.
Configuration value. It can be any valid JSON object.
Configuration version.
Describes purpose of the configuration.
Flag indicating whether the configuration should be encrypted. It works only if value field is of string type.
falseFlag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to true then it cannot be unset.
falseFlag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.
falseURL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named value in order to work correctly. An example of a valid schema: { "$schema": "http://json-schema.org/draft-07/schema#", "type": "object", "required": ["value"], "properties": { "value": { "type": "boolean" } } }
The client configuration unique identifier.
The client to which the configuration applies.
Bad Request
Conflict
POST /configuration/{tenant}/clients/{client}/configurations HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 56
[
{
"client": "test_client",
"key": "test_key",
"value": true
}
][
{
"_id": "test_client_test_key",
"client": "test_client",
"key": "test_key",
"value": true
}
]Retrieves a specified client configuration.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
Desired client's unique identifier.
Desired configuration key.
OK
Configuration key.
Configuration value. It can be any valid JSON object.
Configuration version.
Describes purpose of the configuration.
Flag indicating whether the configuration should be encrypted. It works only if value field is of string type.
falseFlag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to true then it cannot be unset.
falseFlag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.
falseURL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named value in order to work correctly. An example of a valid schema: { "$schema": "http://json-schema.org/draft-07/schema#", "type": "object", "required": ["value"], "properties": { "value": { "type": "boolean" } } }
The client configuration unique identifier.
The client to which the configuration applies.
GET /configuration/{tenant}/clients/{client}/configurations/{propertyKey} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"_id": "saas-ag.caas-indexing-service-client_indexing_configuration",
"client": "saas-ag.caas-indexing-service-client",
"key": "indexing_configuration",
"value": {
"activePublishedProductIndexing": true,
"activeNonPublishedProductIndexing": true
}
}Updates a specified client configuration.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
Desired client's unique identifier.
Desired configuration key.
Configuration key.
Configuration value. It can be any valid JSON object.
Configuration version.
Describes purpose of the configuration.
Flag indicating whether the configuration should be encrypted. It works only if value field is of string type.
falseFlag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to true then it cannot be unset.
falseFlag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.
falseURL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named value in order to work correctly. An example of a valid schema: { "$schema": "http://json-schema.org/draft-07/schema#", "type": "object", "required": ["value"], "properties": { "value": { "type": "boolean" } } }
The client configuration unique identifier.
The client to which the configuration applies.
OK
Configuration key.
Configuration value. It can be any valid JSON object.
Configuration version.
Describes purpose of the configuration.
Flag indicating whether the configuration should be encrypted. It works only if value field is of string type.
falseFlag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to true then it cannot be unset.
falseFlag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.
falseURL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named value in order to work correctly. An example of a valid schema: { "$schema": "http://json-schema.org/draft-07/schema#", "type": "object", "required": ["value"], "properties": { "value": { "type": "boolean" } } }
Bad Request
Conflict
PUT /configuration/{tenant}/clients/{client}/configurations/{propertyKey} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 95
{
"id": "example_client_example_key",
"client": "example_client",
"key": "example_key",
"value": false
}{
"_id": "example_client_example_key",
"client": "example_client",
"key": "example_key",
"value": false
}Deletes a specified client configuration.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
Desired client's unique identifier.
Desired configuration key.
No Content
No content
Bad Request
Not found
DELETE /configuration/{tenant}/clients/{client}/configurations/{propertyKey} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2
{}No content
Last updated
Was this helpful?

